kshowmail: FilterEntryDlg Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# FilterEntryDlg Class Reference

Inheritance diagram for FilterEntryDlg:

List of all members.

## Public Slots
virtual void | slotOk ()
virtual void | slotItem1Selected (int)
virtual void | slotItem2Selected (int)
virtual void | slotSecondCondition (int)
virtual void | slotCondition1Selected (int)
virtual void | slotCondition2Selected (int)
virtual void | slotMatch1Changed (const TQString &)
virtual void | slotMatch2Changed (const TQString &)
virtual void | slotResetCounter ()
virtual void | slotCounterChanged (int)
virtual void | slotEditRegExp1 ()
virtual void | slotEditRegExp2 ()
virtual void | slotToggleRegExp1 (bool)
virtual void | slotToggleRegExp2 (bool)
## Public Member Functions
| FilterEntryDlg (TQWidget *parent=0, const char *name=0, bool modal=false, WFlags fl=0)
| ~FilterEntryDlg ()
## Public Attributes
TQLineEdit * | _editName
TQGroupBox * | TQGroupBox_1
TQComboBox * | _comboItem1
TQComboBox * | _comboExpression1
TQLineEdit * | _editMatch1
TQComboBox * | _comboSecondCondition
TQCheckBox * | _checkCaseSensitive1
TQPushButton * | _buttonEditRegExp1
TQCheckBox * | _checkRegExp1
TQGroupBox * | _groupBox2
TQComboBox * | _comboItem2
TQComboBox * | _comboExpression2
TQLineEdit * | _editMatch2
TQCheckBox * | _checkCaseSensitive2
TQCheckBox * | _checkRegExp2
TQPushButton * | _buttonEditRegExp2
TQPushButton * | m_ButtonOk
TQPushButton * | m_ButtonCancel
TQGroupBox * | groupBox3
TQSpinBox * | _spinCounter
TQPushButton * | _buttonResetCounter
## Protected Slots
virtual void | languageChange ()
## Protected Attributes
TQGridLayout * | FilterEntryDlgLayout
TQGridLayout * | TQGroupBox_1Layout
TQSpacerItem * | spacer2
TQGridLayout * | _groupBox2Layout
TQSpacerItem * | spacer3
TQHBoxLayout * | Layout11
TQSpacerItem * | Spacer17
TQHBoxLayout * | groupBox3Layout

## Detailed Description

Definition at line 27 of file FilterEntryDlg.h.

The documentation for this class was generated from the following files:

- kshowmail/FilterEntryDlg.h
- kshowmail/FilterEntryDlg.cpp